--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Constructs a version from the supplied string
- !ruby/object:SM::Flow::LIST 
  contents: 
  - !ruby/struct:SM::Flow::LI 
    label: "version:"
    body: "[String] The version string. Format is digit.digit..."
  type: :NOTE
full_name: Gem::Version::new
is_singleton: true
name: new
params: (version)
visibility: public
